
#import "MyViewController.h"
#import "MyViewController2.h"
#import "MyView.h"

@implementation MyViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
		self.title = @"PAGE1";
    }
    return self;
}

- (void)loadView {
	MyView *mv = [[MyView alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
	self.view = mv;
	[mv release];
}

- (void)viewDidLoad {
    [super viewDidLoad];
	
	//バーにボタンを追加
	UIBarButtonItem *button = [[UIBarButtonItem alloc] 
								  initWithTitle:@"次ページ" 
								  style:UIBarButtonItemStyleBordered
								  target:self 
								  action:@selector(goNextPage:)
								  ]; 
	self.navigationItem.rightBarButtonItem = button;
	[button release]; 	
}

-(void)goNextPage:(id)sender{	
	MyViewController2 *mvc2 = [[[MyViewController2 alloc] initWithNibName:nil bundle:nil] autorelease];
	[self.navigationController pushViewController:mvc2 animated:YES];	
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
}

- (void)dealloc {
    [super dealloc];
}

@end
